\! echo "Alter table jos_eb_events";
alter table jos_eb_events add `submit_date` date DEFAULT NULL;
alter table jos_eb_events add  `leader_id1` int(11) DEFAULT NULL;
alter table jos_eb_events add  `leader_id2` int(11) DEFAULT NULL;
alter table jos_eb_events add `leader_id3` int(11) DEFAULT NULL;
alter table jos_eb_events add  `cancel_reason` text DEFAULT NULL;
alter table jos_eb_events add  `no_more_tripreports` tinyint(3) NOT NULL;
\! echo "insert into jos_eb_events";
insert into jos_eb_events select id,parent_id,category_id,location_id,title,null,event_type,event_date,event_end_date,short_description,description,access,registration_access,individual_price,0,event_capacity,0,0,created_by,cut_off_date,registration_type,0,max_group_number,discount_type,discount,early_bird_discount_type,early_bird_discount_date,early_bird_discount_amount,enable_cancel_registration,cancel_before_date,null,0,recurring_type,recurring_frequency,weekdays,monthdays,recurring_end_date,recurring_occurrencies,paypal_email,notification_emails,null,user_email_body,user_email_body_offline,null,thanks_message,thanks_message_offline,null,ordering,published,concat('{',replace(replace(replace(custom_fields,'field','\"field'),'\n',','),'=','\":'),'}') ,null,null,null,0,0,0,'d','d','d',null,null,1,0,-1,null,null,null,null,null,null,0,0,0,null,null,null,null,null,submit_date,null,0,1,null,null,null,null,0,null,null,fixed_group_price,attachment,null,null,0,0,null,0,0,article_id,deposit_type,deposit_amount,null,custom_field_ids,null,payment_methods,currency_code,currency_symbol,thumb,registration_approved_email_body,language,language,meta_keywords,meta_description,null,enable_coupon,2,null,null,null,0,null,null,null,2,null,null,null,submit_date,leader_id1,leader_id2,leader_id3,cancel_reason,no_more_tripreports from jos_eb_events_orig;
\! echo "set custom fields";
update jos_eb_events set custom_fields = json_set(custom_fields,'$.field_leader_id1',leader_id1);
update jos_eb_events set custom_fields = json_set(custom_fields,'$.field_leader_id2',leader_id2);
update jos_eb_events set custom_fields = json_set(custom_fields,'$.field_leader_id3',leader_id3);
update jos_eb_events set custom_fields = json_set(custom_fields,'$.field_cancel_reason',cancel_reason);
\! echo "remove fields";
alter table jos_eb_events drop leader_id1, drop leader_id2, drop leader_id3, drop cancel_reason, drop no_more_tripreports, drop submit_date;
 

\! echo "insert into jos_eb_event_categories";
insert into jos_eb_event_categories select id,event_id,category_id,1 from jos_eb_event_categories_orig;

\! echo "set main_category_id";
update jos_eb_events as a join jos_eb_event_categories as b on b.event_id=a.id set a.main_category_id=b.category_id where main_category=1;

\! echo "set main_category_id to 1";
update jos_eb_events set main_category_id=1 where main_category_id not in (select id from jos_eb_categories);


\! echo "insert jos_eb_locations";
insert into jos_eb_locations select id,name,null,address,city,state,zip,country,lat,`long`,published,user_id,language,null,null,null,null from jos_eb_locations_orig;

\! echo "cleanup locations";
update jos_eb_events set location_id=25 where location_id=3;

-- Some location_id were set to 2 for some reason?? We don't have a location of 2
update jos_eb_events set location_id=0 where location_id not in (select id from jos_eb_locations);


\! echo "insert jos_eb_registrants";
insert into jos_eb_registrants select id,event_id,user_id,group_id,first_name,last_name,organization,address,address2,city,state,country,zip,phone,fax,email,number_registrants,total_amount,discount_amount,amount,register_date,payment_date,cancel_date,payment_method,transaction_id,comment,published,cart_id,0,0,null,null,0,0,0,0,0,0,null,0,0,0,0,0,0,0,deposit_amount,payment_status,coupon_id,check_coupon,tax_amount,0,registration_code,null,is_reminder_sent,0,0,0,0,0,0,0,0,null,0,null,null,is_group_billing,language,0,null,null,invoice_number,null,user_id,0 from jos_eb_registrants_orig;

-- jos_eb_field_values
\! echo "insert jos_eb_field_values";
insert into jos_eb_field_values select id, registrant_id,field_id+20,field_value from jos_eb_field_values_orig;
insert into jos_eb_field_values select null,id,27,experience from jos_eb_registrants_orig where experience is not null and experience != '';
insert into jos_eb_field_values select null,id,28,kin_name from jos_eb_registrants_orig where kin_name is not null and kin_name != '';
insert into jos_eb_field_values select null,id,29,kin_relationship from jos_eb_registrants_orig where kin_relationship is not null and kin_relationship != '';
insert into jos_eb_field_values select null,id,31,kin_mobile_phone from jos_eb_registrants_orig where kin_mobile_phone is not null and kin_mobile_phone != '';
insert into jos_eb_field_values select null,id,30,kin_home_phone from jos_eb_registrants_orig where kin_home_phone is not null and kin_home_phone != '';
insert into jos_eb_field_values select null,id,32,kin_name_2 from jos_eb_registrants_orig where kin_name_2 is not null and kin_name_2 != '';
insert into jos_eb_field_values select null,id,33,kin_relationship_2 from jos_eb_registrants_orig where kin_relationship_2 is not null and kin_relationship_2 != '';
insert into jos_eb_field_values select null,id,34,kin_mobile_phone_2 from jos_eb_registrants_orig where kin_mobile_phone_2 is not null and kin_mobile_phone_2 != '';
insert into jos_eb_field_values select null,id,35,kin_home_phone_2 from jos_eb_registrants_orig where kin_home_phone_2 is not null and kin_home_phone_2 != '';
insert into jos_eb_field_values select null,id,37,cancel_reason from jos_eb_registrants_orig where cancel_reason is not null and cancel_reason != '';

\! echo "insert jos_eb_messages";
update jos_eb_messages as a set a.message = (select message from jos_eb_messages_orig as b where b.message_key=a.message_key) where exists (select 1 from jos_eb_messages_orig as b where b.message_key=a.message_key);

-- category is now main_category_name
update jos_eb_messages as a set a.message = REPLACE(a.message,'[CATEGORY]','[MAIN_CATEGORY_NAME]');
-- stop emails being sent to people when an event is created
update jos_eb_messages as a set a.message = '' where message_key='submit_event_user_email_subject';
update jos_eb_messages as a set a.message = '' where message_key='submit_event_admin_email_subject';
update jos_eb_messages set message = replace(message,'MBWC Walks Convenor','MBWC Activity Convenor');

\! echo "create jos_mbwc_categoryextras";
CREATE TABLE jos_mbwc_categoryextras select id,trip_report_required,multiple_trip_reports,counts_as_trip,external_event,multi_day,club_meeting from jos_eb_categories_orig;
alter table jos_mbwc_categoryextras rename column id to category_id;
alter table jos_mbwc_categoryextras add `id` int(11) NOT NULL primary KEY AUTO_INCREMENT;

